<?php

/**
 * Plugin Name: Affiliate Link Redirector
 * Plugin URI: https://wp-search.org/ja/blog/affiliate-link-redirector/
 * Description: アフィリエイトリンクを自動的にリダイレクトリンクに書き換えます。
 * Version: 1.0.3
 * Author: WP-Search
 * Author URI: https://wp-search.org/
 * Text Domain: affiliate-link-redirector
 * Domain Path: /languages
 */

if (!defined('ABSPATH')) exit;

class Affiliate_Link_Redirector
{

	public function __construct()
	{

		$file_data = get_file_data(__FILE__, ['version' => 'Version']);
		define('ALR_PLUGIN_VERSION', $file_data['version']);

		$file_data = get_file_data(__FILE__, ['plugin_slug' => 'Text Domain']);
		define('ALR_PLUGIN_SLUG', $file_data['plugin_slug']);

		define('ALR_PLUGIN_DIR_PATH', plugin_dir_path(__FILE__));
		define('ALR_PLUGIN_DIR_URL', plugin_dir_url(__FILE__));
		define('ALR_PLUGIN_BASENAME', plugin_basename(__FILE__));


		define('ALR_IS_SUBDIR', !empty(wp_parse_url(home_url(), PHP_URL_PATH)));
		define('ALR_IS_SWELL', 'swell' === get_template());


		require_once ALR_PLUGIN_DIR_PATH . 'inc/class-activate.php'; // before
		require_once ALR_PLUGIN_DIR_PATH . 'inc/class-setting.php'; // after
		require_once ALR_PLUGIN_DIR_PATH . 'inc/class-link.php';
		if (is_admin()) require_once ALR_PLUGIN_DIR_PATH . 'inc/class-menu.php';
		if (is_admin()) require_once ALR_PLUGIN_DIR_PATH . 'lib/update.php';

		ALR_Setting::init();
		ALR_Link::init();
		if (is_admin()) ALR_Menu::init();

		register_activation_hook(__FILE__, ['ALR_Activate', 'plugin_activate']);
		// register_deactivation_hook( __FILE__, ['ALR_Activate', 'plugin_deactivate' ] );
		register_uninstall_hook(__FILE__, ['ALR_Activate', 'plugin_uninstall']);
	}
}


new Affiliate_Link_Redirector;
