<?php

if (!defined('ABSPATH')) exit;


class ALR_Activate
{

	private function __construct()
	{
	}


	public static function plugin_activate()
	{

		global $wpdb;

		$charset_collate = $wpdb->get_charset_collate();

		$table_name = $wpdb->prefix . ALR_Link::DATABASE_NAME['links'];

		//if ($wpdb->get_var("SHOW TABLES LIKE '$table_name'") !== $table_name) {
		$sql = "CREATE TABLE $table_name (
				`link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
				`link_url` varchar(255) NOT NULL,
				PRIMARY KEY  (`link_id`),
				UNIQUE KEY `link_url` (`link_url`)
			) $charset_collate;";

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
		//}


		$table_name = $wpdb->prefix . ALR_Link::DATABASE_NAME['relationships'];

		//if ($wpdb->get_var("SHOW TABLES LIKE '$table_name'") !== $table_name) {
		$sql = "CREATE TABLE $table_name (
				`object_id` bigint(20) unsigned NOT NULL default 0,
				`link_id` bigint(20) unsigned NOT NULL default 0,
				PRIMARY KEY  (`object_id`,`link_id`),
				KEY `link_id` (`link_id`)
			) $charset_collate;";

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
		//}

	}


	// public static function plugin_deactivate() {}


	public static function plugin_uninstall()
	{

		foreach (ALR_Setting::OPTIONS_NAME as $options_name) {
			delete_option($options_name);
		}


		// plugin-update-checker
		delete_option('external_updates-' . ALR_PLUGIN_SLUG);


		foreach (ALR_Setting::TRANSIENT_NAME as $transient_name) {
			delete_transient($transient_name);
		}


		global $wpdb;

		foreach (ALR_Link::DATABASE_NAME as $database_name) {
			$table_name = $wpdb->prefix . $database_name;

			//if ($wpdb->get_var("SHOW TABLES LIKE '$table_name'") !== $table_name) {
			$wpdb->query($wpdb->prepare("DROP TABLE $table_name"));
			//}
		}
	}
}
