<?php

if (!defined('ABSPATH')) exit;


class ALR_Menu
{

	private function __construct()
	{
	}


	public static $alr_menu_slug = [];


	public static function init()
	{

		self::alr_menu_slug();

		add_action('admin_menu', ['ALR_Menu', 'add_menu_pages']);
	}


	public static function alr_menu_slug()
	{
		self::$alr_menu_slug = [
			'general' => 'alr_general',
		];
	}


	public static function add_menu_pages()
	{

		add_menu_page(
			'Affiliate Link Redirector', // page title
			'Affiliate Link Redirector', // menu name
			'manage_options',
			self::$alr_menu_slug['general'], // slug
			['ALR_Menu', 'alr_menu_general_page'], // template function
			'dashicons-randomize', // icon
			100,
		);
		/*add_submenu_page(
			self::$alr_menu_slug['general'], // parent slug
			__('General settings', 'affiliate-link-redirector'), // page title
			__('General settings', 'affiliate-link-redirector'), // menu name
			'manage_options',
			self::$alr_menu_slug['general'], // slug
			['ALR_Menu', 'alr_menu_general_page'], // template function
		);*/
	}


	public static function alr_menu_general_page()
	{
		require_once ALR_PLUGIN_DIR_PATH . 'inc/admin-general.php';
	}


	public static function updated_message($updated)
	{
?>
		<div class="notice notice-success settings-success is-dismissible">
			<p>
				<?php echo esc_html($updated); ?>
			</p>
			<button type="button" class="notice-dismiss">
				<span class="screen-reader-text"><?php echo esc_html__('Hide this notification.', 'affiliate-link-redirector'); ?></span>
			</button>
		</div>
	<?php
	}


	public static function error_message($error)
	{
	?>
		<div class="notice notice-error settings-error is-dismissible">
			<p>
				<?php echo esc_html($error); ?>
			</p>
			<button type="button" class="notice-dismiss">
				<span class="screen-reader-text"><?php echo esc_html__('Hide this notification.', 'affiliate-link-redirector'); ?></span>
			</button>
		</div>
<?php
	}
}
